

	<?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$usuario="";}

	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from solicitudes where creada_por like '%".$usuario."%' and estado_solicitud2!='Prestamo' order by id_solicitud desc") or die(mysql_error());
        
        
        $sql2 = mysql_query("select * from clientes where creado_por like '%".$usuario."%'") or die(mysql_error());
        

	?>

    <div class="container-fluid">
           <?php include_once("../barra_lateral.php")?>  
        
		<div class="row">
			<div class="col-md-12">
			    <h3 class="text-primary">Solicitudes registradas</h3>
				<a class="btn  btn-success mb-2" href="#modalCliente" data-toggle="modal" onClick="$('#frm2').trigger('reset')"><i class="fa fa-plus"></i> Crear nueva solicitud</a>

				<a class="btn  btn-warning mb-2" href="../clientes/clientes.php"><i class="fa fa-user"></i> Clientes</a>

				<div class="table-responsive">
					<table class="table table-sm table-borderred">
						<thead>
							<th># Solicitud</th>
							<th>Nombre cliente</th>
							<th>Fecha</th>
							<th>Monto solicitado</th>
							<th>Monto aprobado</th>
						     <th>Estado</th>
						     <th>Revisada por</th>
						     <th>Opcion</th>

						<thead>
						<tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td><?php echo $r["id_solicitud"]?></td>
								<td><?php echo $r["nombre"]?></td>
								<td><?php echo fecha($r["fecha"])?></td>
								<td><?php echo decimal($r["cantidad_solicitada"])?></td>
							   <td class='text-success'><?php echo decimal($r["cantidad_aprobada"])?></td>
                               <td><?php echo state($r["estado_solicitud"])?></td>
                               	<td><?php echo $r["revisada_por"]?></td>
                               
                               <td><a class="btn btn-sm btn-warning mb-2" href="#modalCliente" data-toggle="modal" onClick='ver(<?php echo $r["id_solicitud"]?>)'><i class="fa fa-eye"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
 

 <!-- Modal cliente-->
    <div class="modal fade " id="modalCliente"  data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <span class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-user"></i> Seleccione un cliente de la base de datos o cree uno nuevo</span>
                </div>
             
                <div class="modal-body" style="height:400px; overflow-y:scroll">
                    <div class="row">
                        <div class="col-md-2">
                            <b>Clientes</b>
                        </div>
                        <div class="col-md-10">
                            <select onChange="get_cliente(this.value)" class="form-control  mb-2" id="clientes">

                                <option value="" selected>Sel. cliente</option>
                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['id'] ?>"><?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>



                    <div class="row">
                        <div class="col-md-2">
                            <b>Fecha</b>
                        </div>
                        <div class="col-md-10">
                            <input id="fecha" type="Date" value ="<?php echo $hoy ?>" class="form-control  mb-2 auto-save">
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-md-2">
                            <b>Nombre cliente</b>
                        </div>
                        <div class="col-md-10">
                            <input type="text" class="form-control mb-2 auto-save" id="nombre">
                        </div>

                        <div class="col-md-2">
                            <b>Cedula</b>
                        </div>
                        <div class="col-md-7">
                            <input type="text" class="form-control mb-2 auto-save" id="cedula">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">
                            <b>Telefono</b>
                        </div>
                        <div class="col-md-3 mt-2">
                            <input type="text" class="form-control mb-2 auto-save" name="telefono" id="telefono">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">
                            <b>Direccion</b>
                        </div>
                        <div class="col-md-10">
                            <input type="text" class="form-control mb-2 auto-save" name="direccion" id="direccion">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-2">
                            <b>Monto Solicita</b>
                        </div>
                        <div class="col-md-7">
                            <input type="number" class="form-control mb-2 auto-save" name="motno" id="monto">
                        </div>
                    </div>
					
					<div class="row">
                        <div class="col-md-2">
                            <b class="text-primary">Monto aprobado</b>
                        </div>
                        <div class="col-md-7">
                            <input type="number" class="form-control mb-2 auto-save" name="motno-aprobado" id="monto-aprobado">
                        </div>
                    </div>
					

                    <div class="row">
                        <div class="col-md-2">
                            <b>Tasa interes</b>
                        </div>
                        <div class="col-md-7">
                            <input type="number" class="form-control mb-2 auto-save" name="tasa" id="tasa">
                        </div>
                    </div>

                       <div class="row">
                            <div class="col-md-2">
                                <b>Frecuencia de pago</b>
                            </div>
                            <div class="col-md-7">
                                <select onclick="" class="form-control  mb-2 auto-save" id="tipo" name="tipo">
                                    <option value="" selected disabled>Sel. frecuancia pago</option>
                                    <option value="Mensual">Mensual</option>
                                    <option value="Quincenal">Quincenal</option>
                                    <option value="Diario">Semanal</option>
                                    <option value="Diario">Diario</option>

                                </select>
                            </div>
                        </div>



                    <div class="row">
                        <div class="col-md-2">
                            <b>Datos garante</b>
                        </div>
                        <div class="col-md-10">
                            <textarea id="garante" class="form-control  mb-2 auto-save">
                            
                             </textarea>
                   
                        </div>
                    </div>
					
					     <div class="row">
                        <div class="col-md-2">
                            <b class="text-success">Observacion</b>
                        </div>
                        <div class="col-md-10">
                            <textarea id="observacion" class="form-control  mb-2 auto-save">
                            
                            </textarea>
                   
                        </div>
                    </div>
					
                
                    <div class="row">
                            <div class="col-md-2">
                                <b>Revision</b>
                            </div>
                            <div class="col-md-3">
                                <select onclick="" class="form-control  mb-2 auto-save" id="estado" name="estado">
                                    <option value="Pendiente" selected disabled>Sel. Opcion</option>
                                    <option value="Aprobada">Aprobar</option>
                                    <option value="Rechazada">Rechazar</option>
                                    <option value="Pendiente">Pendiente</option>
                                   

                                </select>
                            </div>
                            
                             <div class="col-md-2">
                                <b>Creado por</b>
                            </div>
                            <div class="col-md-3">
                                <input type="text" class="form-control mb-2 auto-save" name="creada_por" id="creada_por" disabled>
                            </div>
                            
                            
                            
                        </div>
                        
                        

                    <div cLass="row">
                        <div class="col-md-2">


                        </div>

                    </div>
			</div>
                    <div class="modal-footer">
					<div class="row">
						
							<button class="btn btn-secondary" type="button" data-dismiss="modal"><i class="fa fa-w fa-home"></i> Salir</button>
						
						
						
							 <button class="btn btn-success"  onClick="grabar_cliente()"><i class="fa fa-w fa-save"></i>  Grabar datos</button>
						
						
						
							 <button class="btn btn-light"  onClick="limpiar()"><i class="fa fa-w fa-file"></i> Nueva</button>
						
						
                        
                       	
							 <button class="btn btn-danger" href="#" onClick="anular()"><i class="fa fa-w fa-trash"></i> Anular esta solicitud</button>
						
						
                        
                        
                         
                    </div>
               
                
            </div>
        </div>
    </div>
    <?php include_once('../footer.php') ?>



    <script>
        // Replace the <textarea id="editor1"> with a CKEditor 4
        // instance, using default configuration.
        //CKEDITOR.replace( 'editor1' );

        $("#fecha").val(hoySql);
        


        var ruta="";
        var cobrador="";
        var id_cliente="";
        function get_cliente(id){
            var sql="select * from clientes where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_cliente= rs.data[i].id;
             
                    ruta = rs.data[i].ruta;
                    cobrador = rs.data[i].cobrador;
                    $("#nombre").val(rs.data[i].nombre);
                    $("#cedula").val(rs.data[i].cedula);
                    $("#telefono").val(rs.data[i].telefono);
                    $("#direccion").val(rs.data[i].direccion);
                    $("#clientes option[value='"+id_cliente+"']").prop('selected', true);
                }
                $("button").prop('disabled', false);
            })
        }
        
monto_prestado = "";
estado_solicitud2=""
function ver(id){
	     $(".form-control").val("");
            var sql="select * from solicitudes where id_solicitud='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
				var nivel = "<?php echo $nivel?>";
       
                for( var i in rs.data){
                    id_c= rs.data[i].id_cliente;
                    id_solicitud = rs.data[i].id_solicitud;
                    get_cliente(id_c);
                    ruta = rs.data[i].ruta;
                    cobrador = rs.data[i].cobrador;
                    tipo = rs.data[i].tipo;
                    monto_prestado =  rs.data[i].cantidad_aprovada;
                    estado_solicitud2 =  rs.data[i].estado_solicitud2;
                    $("#monto").val(rs.data[i].cantidad_solicitada);
                    $("#tasa").val(rs.data[i].tasa);
                    $("#garante").val(rs.data[i].datos_garante);
                    $("#creada_por").val(rs.data[i].creada_por);
					$("#monto-aprobado").val(rs.data[i].cantidad_aprobada);
					$("#observacion").val(rs.data[i].observacion);
                    if(nivel!="administrador"){
						 $("#estado").prop("disabled",true);
						 $("#monto-aprobado").prop("disabled",true);
						 $("#opservacion").prop("disabled",true);
					}
                    $("#tipo option[value='"+tipo+"']").prop('selected', true);
                    $("#clientes option[value='"+id_c+"']").prop('selected', true);

                  
                }
               $("button").prop('disabled', false);
            })
        }
  

 var id_solicitud=""; 
 
  function grabar_cliente(){
     if(!confirm("Seguro(a) que desea registrar solicitud?")){return;}                   
     var fecha = $("#fecha").val();
     var nombre = $("#nombre").val();
     var cedula = $("#cedula").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
     var monto = $("#monto").val();
     var contenido = $("#editor1").val();

    
 
     if(fecha=="" || nombre=="" || cedula==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_cliente==""){
            sql="INSERT INTO clientes set fecha_registro='"+fecha+"'";
            sql+=", nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'";
            sql+=", creado_por='"+myUser+"'";
            sql+=", created_at=NOW()";
           

        }else{
            sql="UPDATE clientes set";
            sql+=" nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"' WHERE id='"+id_cliente+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
          seleccionar_cliente(fecha,monto,nombre,contenido);
      }else{
          msg(data);
          
      }
        $("button").prop('disabled', false);
    })
}
  
function seleccionar_cliente(fecha,monto,nombre,contenido){
        id_cliente = $("#clientes").val();

        var sql="select * from clientes where creado_por='"+myUser+"' order by id desc limit 1"; 
        _enviar("../php/traer_datos.php",{sql:sql})
        .done(function(data){
            rs = JSON.parse(data)
            if(id_cliente==""){
                id_cliente = rs.data[0].id;
                
               
            }
            grabar_solicitud(fecha,monto,nombre,contenido);
        })
}


function  grabar_solicitud(fecha,monto,nombre,contenido){

     var tipo = $("#tipo").val();
     var tasa = $("#tasa").val();
     var garante = $("#garante").val();
     var estado = $("#estado").val();
	 var monto_aprobado = $("#monto-aprobado").val();
	 var observacion = $("#observacion").val();
	 
     if(estado==""){estado="Pendiente";}
    var sql="";                            
        if(id_solicitud==""){
            sql="INSERT INTO solicitudes set fecha='"+fecha+"'";
            sql+=", nombre='"+nombre+"'";
            sql+=", cantidad_solicitada='"+monto+"'";
			sql+=", cantidad_aprobada='"+monto_aprobado+"'";
            //sql+=", contenido='"+contenido+"'";
            sql+=", hora=NOW()";
            sql+=", creada_por='"+myUser+"'";
            sql+=", estado_solicitud='Pendiente'";
            sql+=", id_cliente='"+id_cliente+"'";
            sql+=", tipo='"+tipo+"'";
            sql+=", tasa='"+tasa+"'";
            sql+=", datos_garante='"+garante+"'";
			sql+=", observacion='"+observacion+"'";
           
            
        }else{
            sql="UPDATE solicitudes set fecha='"+fecha+"'";
            sql+=", nombre='"+nombre+"'";
            sql+=", cantidad_solicitada='"+monto+"'";
            sql+=", tipo='"+tipo+"'";
            sql+=", tasa='"+tasa+"'";
            sql+=", datos_garante='"+garante+"'";
            sql+=", revisada_por='"+myUser+"'";
            sql+=", estado_solicitud='"+estado+"'";
            sql+=", id_cliente='"+id_cliente+"'";
			sql+=", cantidad_aprobada='"+monto_aprobado+"'";
			sql+=", observacion='"+observacion+"'";
            sql+="  WHERE id_solicitud='"+id_solicitud+"'"; 
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
           $("#modalCliente").modal('hide');
           noti("success","Solicitud registrada","Datos grabados");
           dstry();
           id_solicitud="";
           setTimeout(function(){
               window.location.reload();
           },2000);
      }else{
          alert(data)
          //noti("danger","Hubo u error","Errors");
          
      }
       $("button").prop('disabled', false);
    })
}
  
  
  

function limpiar(){
    $(".form-control").val("");
    id_cliente="";
     dstry();
}

if(myLevel!="administrador"){
    $("#estado").prop("disabled",true);
}

function anular(){
        if(estado_solicitud2=="Prestamo"){alert("Esta solicitud no puede ser anulada por que ya se habia aprobado un prestamo de "+numeral(monto_prestado).format('0,0.00')); return;}
        if(!confirm("Seguro de anular este registro?")){return;}
        var sql="";                            
        if(id_solicitud!=""){
          sql="delete from solicitudes where id_solicitud='"+id_solicitud+"'";
         _enviar("../php/update.php",{"sql":sql})
        .done(function( data ){
          //var rs = JSON.parse(data);
          if(data=="1"){
               $("#modalCliente").modal('hide');
               noti("info","Solicitud eliminada","Datos procesados");
               dstry();
               id_solicitud="";
              
               setTimeout(function(){
                   window.location.reload();
               },2000);
      }else{
          alert(data)
          //noti("danger","Hubo u error","Errors");
          
      }
       $("button").prop('disabled', false);
    })
}

}

$(".table").DataTable();

</script>

       <?php
      

        function state($e) {

            if ($e == "Pendiente") {
                $b = "<span class='badge badge-warning'>".$e."</span>";
            } 
            if($e=="Aprobada"){

                $b = "<span class='badge badge-success'>".$e."</span>";
            }

              if($e=="Rechazada"){

                $b = "<span class='badge badge-danger'>".$e."</span>";
            }

            return $b;
        }
        ?>


